## org.apache.batik.css.engine.value.svg
Class SVGColorManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.IdentifierManager
                  org.apache.batik.css.engine.value.AbstractColorManager
                      org.apache.batik.css.engine.value.svg.ColorManager
                          org.apache.batik.css.engine.value.svg.SVGColorManager

All Implemented Interfaces:
  ValueManager

Direct Known Subclasses:
  SVGPaintManager

public class SVGColorManager
extends ColorManager

This class provides a manager for the SVGColor property values.

Field Summary
`protected Value` `defaultValue` The default value.
`protected java.lang.String` `property` The name of the handled property.

Fields inherited from class org.apache.batik.css.engine.value.svg.ColorManager
`DEFAULT_VALUE`

Fields inherited from class org.apache.batik.css.engine.value.AbstractColorManager
`computedValues, values`

Constructor Summary
`SVGColorManager(java.lang.String prop)` Creates a new SVGColorManager.
`SVGColorManager(java.lang.String prop, Value v)` Creates a new SVGColorManager.

Method Summary
`Value` `computeValue(CSSStylableElement elt, java.lang.String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager#computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`Value` `createValue(LexicalUnit lu, CSSEngine engine)` Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.
`protected float` `getColorValue(LexicalUnit lu)` Creates a float value usable as a component of an RGBColor.
`Value` `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`java.lang.String` `getPropertyName()` Implements `ValueManager#getPropertyName()`.
`boolean` `isInheritedProperty()` Implements `ValueManager#isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractColorManager
`createColorComponent, createRGBColor, getIdentifiers`

Methods inherited from class org.apache.batik.css.engine.value.IdentifierManager
`createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### property

    protected java.lang.String property

  The name of the handled property.

### defaultValue

    protected Value defaultValue

  The default value.

Constructor Detail

### SVGColorManager

    public SVGColorManager(java.lang.String prop)

  Creates a new SVGColorManager. The default value is black.

### SVGColorManager

    public SVGColorManager(java.lang.String prop,
                           Value v)

  Creates a new SVGColorManager.

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager#isInheritedProperty()`.

  Specified by:
    `isInheritedProperty` in interface `ValueManager`
  Overrides:
    `isInheritedProperty` in class `ColorManager`

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager#getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Overrides:
    `getPropertyName` in class `ColorManager`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

  Specified by:
    `getDefaultValue` in interface `ValueManager`
  Overrides:
    `getDefaultValue` in class `ColorManager`

### createValue

    public Value createValue(LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.

  Specified by:
    `createValue` in interface `ValueManager`
  Overrides:
    `createValue` in class `AbstractColorManager`
  Throws:
    `org.w3c.dom.DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              java.lang.String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager#computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Overrides:
    `computeValue` in class `AbstractColorManager`

### getColorValue

    protected float getColorValue(LexicalUnit lu)

  Creates a float value usable as a component of an RGBColor.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.